# Generated by Django 2.2 on 2019-10-10 07:30

from django.db import migrations, models


def default_source_name(apps, schema_editor):
    DataSource = apps.get_model('documents', 'DataSource')
    sources = list(DataSource.objects.filter(name__isnull=True))
    if not sources:  # Ignore empty databases
        return
    for source in sources:
        # some_thing => Some Thing
        source.name = source.slug.replace('_', ' ').title()
    print('Setting default name for {} sources…'.format(len(sources)))
    DataSource.objects.bulk_update(sources, ['name'])


class Migration(migrations.Migration):

    dependencies = [
        ('documents', '0021_new_types'),
    ]

    operations = [
        migrations.AddField(
            model_name='datasource',
            name='name',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.RunPython(
            default_source_name,
            reverse_code=migrations.RunPython.noop,
            elidable=True,
        ),
        migrations.AlterField(
            model_name='datasource',
            name='name',
            field=models.CharField(max_length=100),
        ),
    ]
