import arkindex.project.fields
from django.db import migrations
from django.db.models.functions import Lower


def lowercase_hash(apps, schema_editor):
    Image = apps.get_model('images', 'Image')
    Image.objects.update(hash=Lower('hash'))


class Migration(migrations.Migration):

    dependencies = [
        ('images', '0006_image_hash'),
    ]

    operations = [
        migrations.AlterField(
            model_name='image',
            name='hash',
            field=arkindex.project.fields.MD5HashField(blank=True, max_length=32, null=True),
        ),
        migrations.RunPython(lowercase_hash, migrations.RunPython.noop),
    ]
